
Exiv2 - Bug #1185
Crash in Exiv2::Exifdatum::Exifdatum(Exiv2::Exifdatum const&)
24 May 2016 17:45 - Mykola Krachkovsky

Status: Closed Start date: 24 May 2016
Priority: Normal Due date:
Assignee: Robin Mills % Done: 100%
Category: not-a-bug Estimated time: 1.00 hour
Target version: 0.26
Description

OS: Linux (openSUSE Leap 42.1) x86_64
Application using exiv2 Gwenview crashes on opening JPEG files on calling Exiv2::Exifdatum::Exifdatum(Exiv2::Exifdatum const&)
(full log in attachment).
Version 0.25 works fine, current SVN version crashes.

History
#1 - 24 May 2016 18:50 - Robin Mills
- Category set to not-a-bug
- Status changed from New to Assigned
- Assignee set to Robin Mills
- Target version set to 0.26
- % Done changed from 0 to 50
- Estimated time set to 1.00

Regrettably, trunk builds of Exiv2 no longer work with the distributed versions of Gwenview, Darktable, DigiKam and other applications.  I'm not too
sure why this is the case.  Perhaps there are API changes that have brought this about.  v0.26 will ship and the applications will be built for
libexiv2.15.0

Have you built Gwenview and Exiv2 from source, or are you using the distributed version of Gwenview?

Pascal de Brujin from DarkTable cherrypicks some v0.26 changes and maintains a modified version of libexiv2.14.so which I believe is stable. 
http://dev.exiv2.org/issues/1181#note-5

#2 - 26 May 2016 18:08 - Robin Mills
- Status changed from Assigned to Closed
- % Done changed from 50 to 100

#3 - 26 May 2016 20:46 - Mykola Krachkovsky

libkexiv2 and gwenview was built from source. But it looks like some dependance problem, I've rebuilt all of them and now it works fine. Thanks and
sorry for false-bug.

#4 - 26 May 2016 21:46 - Robin Mills

Thanks for letting me know.
